/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ViewContainerRef } from '@angular/core';
import { DialogContainerService } from './dialog-container.service';
import * as i0 from "@angular/core";
/**
 * Provides an insertion point for the Dialogs which are created through the
 * Dialog service ([see example]({% slug api_dialog_dialogservice %}#toc-open)).
 * Created Dialogs will be mounted after that element.
 *
 * @example
 * ```html-no-run
 * <div kendoDialogContainer></div>
 * ```
 */
export declare class DialogContainerDirective {
    constructor(container: ViewContainerRef, service: DialogContainerService);
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogContainerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DialogContainerDirective, "[kendoDialogContainer]", never, {}, {}, never, never, true, never>;
}
